begin
  require 'rails'
  module I18n
    class CoreApiRailtie < ::Rails::Railtie # :nodoc:
      initializer 'rails-i18n' do
        I18n.load_path << Dir[File.join(File.expand_path(File.dirname(__FILE__) + '/../../config/locales'), '*.yml')]
        I18n.load_path.flatten!
      end
    end
  end
rescue LoadError # rubocop:disable HandleExceptions
  # We don't autoload locales in non-rails-projects
end
