module Roqua
  module CoreApi
    # @api private
    class CreateDossierGroupExportSynchronously < ActiveInteraction::Base
      object :session, class: Sessions::AuthSession
      string :dossier_group_id

      def execute
        response = session.post "/dossier_groups/#{dossier_group_id}/exports"
        Models::Export.new(response['dossier_group_export'])
      end
    end
  end
end
