module Roqua
  module CoreApi
    # @api private
    class Person < ActiveInteraction::Base
      object :session, class: Sessions::AuthSession
      string :person_id

      def execute
        response = session.get "/people/#{person_id}"
        Models::Person.new(response['person'])
      end
    end
  end
end
