module Roqua
  module CoreApi
    # @api private
    class CreateDossierGroup < ActiveInteraction::Base
      object :session, class: Sessions::AuthSession
      string :organization_id
      hash :attributes, strip: false

      def execute
        response = session.post "/dossier_groups", dossier_group: attributes, organization_id: organization_id
        Models::DossierGroup.new(response["dossier_group"])
      end
    end
  end
end
