module Roqua
  module CoreApi
    # @api private
    class DeleteDossierGroupRight < Base
      object :session, class: Sessions::AuthSession
      string :dossier_group_id
      string :right_id

      def execute
        session.delete "/dossier_groups/#{dossier_group_id}/rights/#{right_id}"
      end
    end
  end
end
