module Roqua
  module CoreApi
    # @api private
    class DestroyTokenSession < Base
      object :session, class: Sessions::TokenSession
      string :organization_id

      def execute
        session.delete "/organizations/#{organization_id}/token_sessions"
      end
    end
  end
end
