module Roqua
  module CoreApi
    # @api private
    class DossierGroups < ActiveInteraction::Base
      object :session, class: Sessions::AuthSession

      def execute
        response = session.get "/dossier_groups"
        response['dossier_groups'].map { |attrs| Models::DossierGroup.new(attrs) }
      end
    end
  end
end
