module Roqua
  module CoreApi
    # @api private
    class ListDossierGroupRights < Base
      object :session, class: Sessions::AuthSession
      string :dossier_group_id

      def execute
        response = session.get "/dossier_groups/#{dossier_group_id}/rights"
        create_enum(response['headers'], response['rows'])
      end
    end
  end
end
