module Roqua
  module CoreApi
    # @api private
    class People < ActiveInteraction::Base
      object :session, class: Sessions::AuthSession
      string :dossier_id

      def execute
        response = session.get "/dossiers/#{dossier_id}/people"
        response["people"].map { |p| Models::Person.new(p) }
      end
    end
  end
end
