require 'httparty'
require 'roqua/core_api/sessions/auth_session'
require 'roqua/core_api/sessions/token_session'
require 'roqua/core_api/sessions/basic_auth_session'
require 'roqua/core_api/sessions/hmac_auth_request'
require 'roqua/core_api/sessions/hmac_auth_session'

module Roqua
  module CoreApi
    def self.token_session(...)
      Sessions::TokenSession.new(...)
    end

    def self.basic_auth_session(...)
      Sessions::BasicAuthSession.new(...)
    end

    def self.hmac_auth_request(...)
      Sessions::HmacAuthRequest(...)
    end
  end
end
